using System.Collections.Generic;
using LitJson;
using Wizard;
using Wizard.Lottery;

public class ArenaResultReporter : IBattleResultReporter
{
	public bool IsEnd => Data.ArenaBattleFinish.data != null;

	public int ClassExp => GetClassExp();

	public List<UserAchievement> UserAchievement => GetUserAchievementList();

	public List<UserMission> UserMission => GetUserMissionList();

	public List<ReceivedReward> MissionRewards => Data.ArenaBattleFinish.data._missionRewards;

	public List<ReceivedReward> VictoryRewards => Data.ArenaBattleFinish.data._victoryRewards;

	public LotteryApplyData LotteryData => LotteryApplyData.EmptyData();

	public bool IsDataExist
	{
		get
		{
			if (Data.ArenaBattleFinish.data != null)
			{
				return Data.ArenaBattleFinish.data.IsProcessed;
			}
			return false;
		}
	}

	public MyPageHomeDialogData HomeDialogData => null;

	public void Report(bool isWin)
	{
	}

	public void Destroy()
	{
	}

	public JsonData GetFinishResponseData()
	{
		return Data.ArenaBattleFinish.data._responseData;
	}

	public List<UserAchievement> GetUserAchievementList()
	{
		return Data.ArenaBattleFinish.data.achieved_achievement_list;
	}

	public List<UserMission> GetUserMissionList()
	{
		return Data.ArenaBattleFinish.data.achieved_mission_list;
	}

	public int GetClassExp()
	{
		return Data.ArenaBattleFinish.data.get_class_chara_experience;
	}
}
